---
title: Dotawo - A Journal of Nubian Studies
has_issues: ["dotawo7.md"]
---

Nubian studies needs a platform in which the old meets the new, in which archaeological, historical, and philological research into Meroitic, Old Nubian, Coptic, Greek, and Arabic sources confront current investigations in modern anthropology and ethnography, Nilo-Saharan linguistics, and critical and theoretical approaches present in postcolonial and African studies.

The journal *Dotawo: A Journal of Nubian Studies* brings these disparate fields together within the same fold, opening a cross-cultural and diachronic field where divergent approaches meet on common soil. *Dotawo* gives a common home to the past, present, and future of one of the richest areas of research in African studies. It offers a crossroads where papyrus can meet internet, scribes meet critical thinkers, and the promises of growing nations meet the accomplishments of old kingdoms.

# Previous issues


In this paragraph we should test [small caps letters]({sc}) and after the test some normal text.